//CODE HEM_ButtonOSC_tone ******
int tonePin = 13;      //create a variable to represent tone Pin
int buttonPin = 12;   //add a variable for the button pin
int periodKnob = A0;  //add variable for knob pin (A = analog in)
int knobVal;         //create a variable for the knob reading

void setup() {
  pinMode(tonePin, OUTPUT); //configure pin 13 as an output
  pinMode(buttonPin, INPUT_PULLUP); //configure button pin as input
}

void loop() {
  //Check the button. It will be low if pressed
  if (digitalRead(buttonPin) == LOW) {
    //read knob(A0) and set variable "knobVal" equal to the value read
    knobVal = analogRead(periodKnob);

    //map the frequency range from 0 - 1023 to 110 - 1760 
    //this range was chosen by ear
    int toneFreq = map(knobVal, 0, 1023, 110, 1760);

    tone(tonePin, toneFreq); //produce a tone
  }

  else {
    noTone(tonePin); //stop the tone when button released
  }

}
//**********END OF CODE
